Bug 1607779 - [RFE] Direct deploy without Swift
Summary: [RFE] Direct deploy without Swift
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ironic
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: Upstream M1
: 15.0 (Stein)
Assignee: Dmitry Tantsur
QA Contact: mlammon
URL: http://specs.openstack.org/openstack/...
Whiteboard:
Depends On: 1477713
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-24 09:12 UTC by Dmitry Tantsur
Modified: 2019-12-09 10:35 UTC (History)
6 users (show)

Fixed In Version: openstack-ironic-12.1.2-0.20190615000404.c3cbdb5.el8ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:16:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 565474 0 'None' MERGED Direct deploy serve HTTP images from conductor 2020-08-31 15:01:58 UTC
OpenStack gerrit 603796 0 'None' MERGED Expose IronicImageDownloadSource as a parameter 2020-08-31 15:01:58 UTC
Red Hat Bugzilla 1630964 0 medium CLOSED Streaming raw images only works for whole disk images 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:18:42 UTC

Internal Links: 1630964

Description Dmitry Tantsur 2018-07-24 09:12:26 UTC
We're using Swift to serve images when using the direct deploy. This RFE proposes an alternative way of serving them via the existing ironic-conductor HTTP server. This will avoid dependency on Swift. As a bonus point, we may be able to convert images to RAW format on the conductor, then stream them to IPA, avoiding in-memory conversion.

Comment 1 Julia Kreger 2018-08-22 14:24:04 UTC
In discussion with the development team, we realized raw streaming would be problematic, however we think that could be solved by turning on server side compression, which should be transparently handled by the client and reduce the network overhead. It would increase webserver CPU overhead, but that is likely fine to save the network utilization for larger images with lots of whitespace.

Comment 5 Dmitry Tantsur 2018-10-26 10:54:04 UTC
Let us call it done. There may be improvements, one issue is tracked in https://bugzilla.redhat.com/show_bug.cgi?id=1630964, but the core of this feature is done.

Comment 8 mlammon 2019-07-29 16:59:10 UTC
This feature has been verified with two options
1) Raw image
https://bugzilla.redhat.com/show_bug.cgi?id=1630964#c5
2) ImageDownloadSource: http
https://bugzilla.redhat.com/show_bug.cgi?id=1630964#c9

Both cases we used the logs to validate streaming success

In 
/var/log/containers/ironic/deploy
look in journal file log " Image streamed onto device /dev/vda2 in 14.087767124176025 seconds"

Comment 13 errata-xmlrpc 2019-09-21 11:16:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.